//
//  SUAppcast.h
//  Sparkle
//
//  Created by Andy Matuschak on 3/12/06.
//  Copyright 2006 Andy Matuschak. All rights reserved.
//

#ifndef SUAPPCAST_H
#define SUAPPCAST_H

@class SUAppcast;
@protocol SUAppcastDelegate <NSObject>
- (void)appcastDidFinishLoading:(SUAppcast *)appcast;
- (void)appcast:(SUAppcast *)appcast failedToLoadWithError:(NSError *)error;
@end

@interface SUAppcast : NSObject

@property (nonatomic, weak) id<SUAppcastDelegate> delegate;
@property (nonatomic, strong) NSString *userAgentString;
@property (nonatomic, strong, readonly) NSArray *items;

- (void)fetchAppcastFromURL:(NSURL *)url;

@end

#endif
